Page MenuHomePhabricator

Show a simulated save page on Edit Conflict simulation page
Closed, DeclinedPublic5 Story Points

Description

Motivation
Right now, when clicking on the TwoColConflict simulation page's "simulate publish button" (of the new paragraph-based conflict handling), you reach an actual edit page with a preview of the changes. Clicking on save on that page would not simulate, but actually save the edits made here. Under no circumstances do we want users of the simulation tool to be editing "for real".

Acceptance Criteria

  • On the simulated edit conflict page, there are two buttons "simulate publish" and "show changes"
  • When clicking on "show changes", users see a diff above the rendered preview of the edit conflict.
  • When clicking on "simulate publish", the user is redirected to a page that looks like a saved page, i.e. the user sees the whole content page in its usual representation
  • Actually, no content has been saved though

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 27 2018, 10:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Sep 4 2018, 12:28 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.

Change 457921 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Stop forwarding from the simulation special page to the real page

https://gerrit.wikimedia.org/r/457921

Change 458122 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Streamline construction of the two …ConflictHelper factories

https://gerrit.wikimedia.org/r/458122

Change 457921 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Stop forwarding from the simulation special page to the real page

https://gerrit.wikimedia.org/r/457921

Change 458122 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Streamline construction of the two …ConflictHelper factories

https://gerrit.wikimedia.org/r/458122

Lea_WMDE closed this task as Declined.Oct 2 2018, 9:44 AM

This will be handled not just for the prototype in T195724: Adapt Save-, Preview- and Cancel buttons to new version (No. 8)